
D4Science Infrastructure - Incident #13096

Share Updates mentioning in some VRE may not work

Jan 04, 2019 05:18 PM - Massimiliano Assante

Status: Closed Start date: Jan 04, 2019

Priority: High Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Production   

Description

The following exception is reported.

16:10:21,919 WARN  [ajp-bio-8009-exec-7][SecurityPortletContainerWrapper:630] Reject process actio

n for https://services.d4science.org/cookie-policy on 49

2019-01-04 16:10:28,464 ERROR o.g.p.u.s.s.ShareUpdateServiceImpl [ajp-bio-8009-exec-16,getMentions

Bean:870]java.lang.NumberFormatException: For input string: ""

    at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65) ~[na:1.8.0_13

1]

    at java.lang.Long.parseLong(Long.java:601) ~[na:1.8.0_131]

    at java.lang.Long.parseLong(Long.java:631) ~[na:1.8.0_131]

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.getMentionsBean(ShareUpd

ateServiceImpl.java:864) [ShareUpdateServiceImpl.class:na]

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.sharePostWithLinkPreview

(ShareUpdateServiceImpl.java:140) [ShareUpdateServiceImpl.class:na]

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[na:1.8.0_131]

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[na:1.8.0_13

1]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:

1.8.0_131]

    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561) [gwt-servlet-2.5.1

.jar:na]

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08) [gwt-servlet-2.5.1.jar:na]

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48) [gwt-servlet-2.5.1.jar:na]

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62) [gwt-servlet-2.5.1.jar:na]

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650) [servlet-api.jar:na]

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731) [servlet-api.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) [tomcat7-websocket.j

ar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116) [portal-service.jar:na]

    at sun.reflect.GeneratedMethodAccessor910.invoke(Unknown Source) ~[na:na]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:

1.8.0_131]

    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

) [portal-service.jar:na]

    at com.sun.proxy.$Proxy833.doFilter(Unknown Source) [na:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116) [portal-service.jar:na]
    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119) [portal-service.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220) [catali

na.jar:7.0.62]

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122) [catali

na.jar:7.0.62]

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505) [cat

alina.jar:7.0.62]

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170) [catalina.jar

:7.0.62]

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103) [catalina.jar

:7.0.62]

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957) [catalina.jar:7.0

.62]

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683) [catalina.jar:7.0.6

2]

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

) [threadlocal-vars-cleaner-2.1.0-4.13.0-134368.jar:na]

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116) [catalina

.jar:7.0.62]

    at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333) [catalina-ha.

jar:7.0.62]

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423) [catalina.jar:7

.0.62]

    at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:190) [tomcat-coyote.jar:7.0.62

]

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620) [tomcat-coyote.jar:7.0.62]

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316) [tomcat-co

yote.jar:7.0.62]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [na:1.8.0_1

31]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [na:1.8.0_1

31]

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) [tomcat-

coyote.jar:7.0.62]

    at java.lang.Thread.run(Thread.java:748) [na:1.8.0_131]

[PORTAL] 1400874019 [ajp-bio-8009-exec-16] ERROR org.gcube.portlets.user.shareupdates.server.Share

UpdateServiceImpl - getMentionsBean Error: 

java.lang.NumberFormatException: For input string: ""

    at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65) ~[na:1.8.0_13

1]

    at java.lang.Long.parseLong(Long.java:601) ~[na:1.8.0_131]

    at java.lang.Long.parseLong(Long.java:631) ~[na:1.8.0_131]

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.getMentionsBean(ShareUpd

ateServiceImpl.java:864) [ShareUpdateServiceImpl.class:na]

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.sharePostWithLinkPreview

(ShareUpdateServiceImpl.java:140) [ShareUpdateServiceImpl.class:na]

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[na:1.8.0_131]

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[na:1.8.0_13

1]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:

1.8.0_131]
    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561) [gwt-servlet-2.5.1

.jar:na]

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08) [gwt-servlet-2.5.1.jar:na]

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48) [gwt-servlet-2.5.1.jar:na]

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62) [gwt-servlet-2.5.1.jar:na]

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650) [servlet-api.jar:na]

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731) [servlet-api.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) [tomcat7-websocket.j

ar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116) [portal-service.jar:na]

    at sun.reflect.GeneratedMethodAccessor910.invoke(Unknown Source) ~[na:na]

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[na:

1.8.0_131]

    at java.lang.reflect.Method.invoke(Method.java:498) ~[na:1.8.0_131]

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

) [portal-service.jar:na]

    at com.sun.proxy.$Proxy833.doFilter(Unknown Source) [na:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109) [portal-service.jar:na]

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119) [portal-service.jar:na]

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241) [catalina.jar:7.0.62]

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208) [

catalina.jar:7.0.62]

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220) [catali

na.jar:7.0.62]

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122) [catali

na.jar:7.0.62]

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505) [cat

alina.jar:7.0.62]

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170) [catalina.jar

:7.0.62]

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103) [catalina.jar

:7.0.62]

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957) [catalina.jar:7.0

.62]

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683) [catalina.jar:7.0.6

2]

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

) [threadlocal-vars-cleaner-2.1.0-4.13.0-134368.jar:na]

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116) [catalina

.jar:7.0.62]

    at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333) [catalina-ha.
jar:7.0.62]

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423) [catalina.jar:7

.0.62]

    at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:190) [tomcat-coyote.jar:7.0.62

]

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620) [tomcat-coyote.jar:7.0.62]

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316) [tomcat-co

yote.jar:7.0.62]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [na:1.8.0_1

31]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [na:1.8.0_1

31]

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) [tomcat-

coyote.jar:7.0.62]

    at java.lang.Thread.run(Thread.java:748) [na:1.8.0_131]

2019-01-04 16:10:28,464 ERROR o.g.p.u.s.s.FilePreviewer [ajp-bio-8009-exec-16,storeAndGetFile:332]

[PORTAL] 1400874019 [ajp-bio-8009-exec-16] ERROR org.gcube.portlets.user.shareupdates.server.FileP

reviewer - The resource at url  doesn't exist

2019-01-04 16:10:28,465 WARN  o.g.p.u.s.s.FilePreviewer [ajp-bio-8009-exec-16,saveThumbnailOnFTPAn

dGetUrl:367][PORTAL] 1400874020 [ajp-bio-8009-exec-16] WARN  org.gcube.portlets.user.shareupdates.

server.FilePreviewer - the file at url  doesn't exist

2019-01-04 16:10:28,465 INFO  o.g.p.u.s.s.ShareUpdateServiceImpl [ajp-bio-8009-exec-16,sharePostWi

thLinkPreview:174][PORTAL] 1400874020 [ajp-bio-8009-exec-16] INFO  org.gcube.portlets.user.shareup

dates.server.ShareUpdateServiceImpl - Attempting to save Feed with text: Per il progetto <a class=

"link" style="font-size:14px;" href="?aGFzaHRhZ0lkZW50aWZpY2F0aW9uUGFyYW1ldGVy=I3BlcmZvcm1maXNo">#

performfish</a>, siamo in affanno per una serie di congiuzioni astrali e per una progettazione non

 esemplare riportata nel DoA del progetto. Purtroppo possiamo farci poco se non provare a rilascia

re una prima versione di quanto promesso. Questo richiede uno sforzo di tutti quelli che possono c

ontribuire. Chiedo a Francesco Mangiacrapa , Massimiliano Assante , Giancarlo Panichi, Fabio Sinib

aldi e Gianpaolo Coro di incontrarci lunedì prossimo. Per me va bene sia la mattina tra le 10:30 e

 le 12:30 che il pomeriggio ma non tra le 14 e le 15:30. Fatemi sapere per favore.&nbsp;&nbsp;<br/

>&nbsp;&nbsp;<br/> Buon inizio d'anno a tutti.  Level: SINGLE_VRE Timeline=/d4science.research-inf

rastructures.eu/FARM/D4STeam

2019-01-04 16:10:28,748 INFO  o.g.a.s.ApplicationNotificationsManager [ajp-bio-8009-exec-16,setCon

text:127][PORTAL] 1400874303 [ajp-bio-8009-exec-16] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager - ApplicationNotificationsManager setContext for Site:  https://s

ervices.d4science.org

2019-01-04 16:10:28,749 INFO  o.g.a.s.ApplicationNotificationsManager [ajp-bio-8009-exec-16,setCon

text:128][PORTAL] 1400874304 [ajp-bio-8009-exec-16] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager - siteLandingPagePath:  /group/d4science-services-gateway

2019-01-04 16:10:28,749 INFO  o.g.a.s.ApplicationNotificationsManager [ajp-bio-8009-exec-16,setCon

text:129][PORTAL] 1400874304 [ajp-bio-8009-exec-16] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager - senderEmail:  services@d4science.org

2019-01-04 16:10:28,749 INFO  o.g.a.s.ApplicationNotificationsManager [ajp-bio-8009-exec-16,setCon

text:130][PORTAL] 1400874304 [ajp-bio-8009-exec-16] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager - portalName:  services@d4science.or

Related issues:

Related to D4Science Infrastructure - Upgrade #13153: Infra-gateways first up... Completed Jan 16, 2019 Jan 16, 2019

History

#1 - Jan 04, 2019 05:21 PM - Massimiliano Assante

- Status changed from New to In Progress

#2 - Jan 04, 2019 05:39 PM - Massimiliano Assante

- % Done changed from 0 to 50

Could not reproduce, the issue is due to the fact that it seems that arrives an empty mentioned id somehow. Patching with a check before parsing it. 

#3 - Jan 04, 2019 05:43 PM - Massimiliano Assante

- Subject changed from Share Updates mentioning in D4STeam VRE does not work to Share Updates mentioning in some VRE may not work

#5 - Jan 16, 2019 10:05 AM - Massimiliano Assante
- Related to Upgrade #13153: Infra-gateways first update to gCube 4.13.1 added

#6 - Jan 16, 2019 10:47 AM - Massimiliano Assante

- Status changed from In Progress to Closed

Closing the incident for the moment, hoping that the patch fixes the issue.
